<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.organizationId">var.organizationId</Property>
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">false</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">0</Property>
		<Property name="ISCurrentTime" type="Long">1750687038819</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_purge_deleted</Property>
		<Property name="ISModuleName">VAM_api_assign</Property>
		<Property name="ISModuleId">1640</Property>
		<Property name="ISProcessId">640042</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">640042</Property>
		<Property name="var.organizationId">cktest</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api>&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>localhost:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>localhost:8080&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:8181&lt;/key>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.organizationId"/>&lt;xsl:param name="var.session" as="element()"/>
  &lt;xsl:template match="/">&lt;queries alertTimeout="10000000">&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM QUERIES Q WHERE ORGANIZATIONID=&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.organizationId)"/>&lt;xsl:text>AND DELETED='1'&lt;/xsl:text>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM ASS_VERSIONS WHERE ASSETID IN (SELECT ID FROM ASSETS WHERE ORGANIZATIONID=&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.organizationId)"/>&lt;xsl:text>AND DELETED='1')&lt;/xsl:text>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM ASSETS WHERE ORGANIZATIONID=&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.organizationId)"/>&lt;xsl:text>AND DELETED='1'&lt;/xsl:text>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM TEM_LABELS WHERE TEMPLATEID IN (SELECT ID FROM TEMPLATES WHERE ORGANIZATIONID=&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.organizationId)"/>&lt;xsl:text>AND DELETED='1')&lt;/xsl:text>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM TEM_PARENTS WHERE TEMPLATEID IN (SELECT ID FROM TEMPLATES WHERE ORGANIZATIONID=&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.organizationId)"/>&lt;xsl:text>AND DELETED='1')&lt;/xsl:text>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM TEM_CHILDREN WHERE TEMPLATEID IN (SELECT ID FROM TEMPLATES WHERE ORGANIZATIONID=&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.organizationId)"/>&lt;xsl:text>AND DELETED='1')&lt;/xsl:text>&lt;/value>&lt;/query>&lt;query properties="force">&lt;value>&lt;xsl:text>DELETE FROM TEMPLATES WHERE ORGANIZATIONID=&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.organizationId)"/>&lt;xsl:text>AND DELETED='1'&lt;/xsl:text>&lt;/value>&lt;/query>&lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>